1 2 Previous Next 18 Replies Latest reply on Sep 25, 2013 12:54 PM by kelly goedert

    drone and graphene error

    kelly goedert Apprentice

      I have a project with some tests using drone. Now, I would like to add graphene based tests. But I get and error as soon as I add the graphene dependency to the pom.

       

      The pom looks like this:

       

      <properties>
        <version.junit>4.11</version.junit>
        <version.arquillian_core>1.1.1.Final</version.arquillian_core>
        <version.logback>1.0.13</version.logback>
        <version.shrinkwrap.resolvers>2.1.0-alpha-1</version.shrinkwrap.resolvers>
        <version.jacoco>0.6.0.201210061924</version.jacoco>
        <version.wro4j>1.7.0</version.wro4j>
        <version.source>1.7</version.source>
        <version.jboss.bom>1.0.7.Final</version.jboss.bom>
        </properties>
        <dependencyManagement>
        <dependencies>
        <dependency>
        <groupId>org.jboss.bom</groupId>
        <artifactId>jboss-javaee-6.0-with-all</artifactId>
        <version>${version.jboss.bom}</version>
        <type>pom</type>
        <scope>import</scope>
        </dependency>
        <dependency>
        <groupId>org.hibernate</groupId>
        <artifactId>hibernate-entitymanager</artifactId>
        <version>4.3.0.Beta3</version>
        <scope>provided</scope>
        </dependency>
        <dependency>
        <groupId>org.jboss.shrinkwrap.resolver</groupId>
        <artifactId>shrinkwrap-resolver-bom</artifactId>
        <version>${version.shrinkwrap.resolvers}</version>
        <scope>import</scope>
        <type>pom</type>
        </dependency>
        <dependency>
        <groupId>org.jboss.arquillian</groupId>
        <artifactId>arquillian-bom</artifactId>
        <version>${version.arquillian_core}</version>
        <type>pom</type>
        <scope>import</scope>
        </dependency>
        <dependency>
        <groupId>org.jboss.arquillian.extension</groupId>
        <artifactId>arquillian-drone-bom</artifactId>
        <version>1.2.0.Beta1</version>
        <type>pom</type>
        <scope>import</scope>
        </dependency>
        <dependency>
        <groupId>org.jboss.arquillian.selenium</groupId>
        <artifactId>selenium-bom</artifactId>
        <version>2.35.0</version>
        <type>pom</type>
        <scope>import</scope>
        </dependency>
        </dependencies>
        </dependencyManagement>
      <dependency>
        <groupId>org.jboss.arquillian.extension</groupId>
        <artifactId>arquillian-drone-selenium</artifactId>
        <scope>test</scope>
        </dependency>
        <dependency>
        <groupId>org.jboss.arquillian.extension</groupId>
        <artifactId>arquillian-drone-selenium-server</artifactId>
        <scope>test</scope>
        </dependency>
        <dependency>
        <groupId>org.seleniumhq.selenium</groupId>
        <artifactId>selenium-java</artifactId>
        <scope>test</scope>
        <exclusions>
        <exclusion>
        <groupId>xerces</groupId>
        <artifactId>xercesImpl</artifactId>
        </exclusion>
        </exclusions>
        </dependency>
        <dependency>
        <groupId>org.seleniumhq.selenium</groupId>
        <artifactId>selenium-server</artifactId>
        <scope>test</scope>
        <exclusions>
        <exclusion>
        <groupId>org.mortbay.jetty</groupId>
        <artifactId>servlet-api-2.5</artifactId>
        </exclusion>
        </exclusions>
        </dependency>
        <dependency>
        <groupId>org.jboss.shrinkwrap.resolver</groupId>
        <artifactId>shrinkwrap-resolver-impl-maven</artifactId>
        <scope>test</scope>
        </dependency>
        <dependency>
        <groupId>org.jboss.arquillian.protocol</groupId>
        <artifactId>arquillian-protocol-servlet</artifactId>
        <scope>test</scope>
        </dependency>
        <dependency>
        <groupId>org.jboss.arquillian.junit</groupId>
        <artifactId>arquillian-junit-container</artifactId>
        <scope>test</scope>
        </dependency>
        <dependency>
        <groupId>org.jboss.arquillian.extension</groupId>
        <artifactId>arquillian-drone-impl</artifactId>
        <scope>test</scope>
        </dependency>
        <dependency>
        <groupId>org.jboss.arquillian.extension</groupId>
        <artifactId>arquillian-jacoco</artifactId>
        <version>1.0.0.Alpha5</version>
        <scope>test</scope>
        </dependency>
        <dependency>
        <groupId>org.jboss.arquillian.extension</groupId>
        <artifactId>arquillian-persistence-impl</artifactId>
        <version>1.0.0.Alpha6</version>
        <scope>test</scope>
        </dependency>
        <dependency>
        <groupId>org.jboss.arquillian.graphene</groupId>
        <artifactId>graphene-webdriver</artifactId>
        <version>2.0.0.Beta2</version>
        <type>pom</type>
        <scope>test</scope>
        </dependency>
      

       

      If I remove the graphene-webdriver dependency all tests work. If I add it, I get:

       

      java.lang.RuntimeException: Could not create new instance of class org.jboss.arquillian.test.impl.EventTestRunnerAdaptor

        at org.jboss.arquillian.test.spi.SecurityActions.newInstance(SecurityActions.java:160)

        at org.jboss.arquillian.test.spi.SecurityActions.newInstance(SecurityActions.java:111)

        at org.jboss.arquillian.test.spi.SecurityActions.newInstance(SecurityActions.java:97)

        at org.jboss.arquillian.test.spi.TestRunnerAdaptorBuilder.build(TestRunnerAdaptorBuilder.java:52)

        at org.jboss.arquillian.junit.Arquillian.run(Arquillian.java:93)

        at org.eclipse.jdt.internal.junit4.runner.JUnit4TestReference.run(JUnit4TestReference.java:50)

        at org.eclipse.jdt.internal.junit.runner.TestExecution.run(TestExecution.java:38)

        at org.eclipse.jdt.internal.junit.runner.RemoteTestRunner.runTests(RemoteTestRunner.java:467)

        at org.eclipse.jdt.internal.junit.runner.RemoteTestRunner.runTests(RemoteTestRunner.java:683)

        at org.eclipse.jdt.internal.junit.runner.RemoteTestRunner.run(RemoteTestRunner.java:390)

        at org.eclipse.jdt.internal.junit.runner.RemoteTestRunner.main(RemoteTestRunner.java:197)

      Caused by: java.lang.reflect.InvocationTargetException

        at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)

        at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)

        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)

        at java.lang.reflect.Constructor.newInstance(Constructor.java:532)

        at org.jboss.arquillian.test.spi.SecurityActions.newInstance(SecurityActions.java:156)

        ... 10 more

      Caused by: java.lang.RuntimeException: Could not create new instance of class org.jboss.arquillian.core.impl.ManagerImpl

        at org.jboss.arquillian.core.spi.SecurityActions.newInstance(SecurityActions.java:160)

        at org.jboss.arquillian.core.spi.SecurityActions.newInstance(SecurityActions.java:111)

        at org.jboss.arquillian.core.spi.SecurityActions.newInstance(SecurityActions.java:97)

        at org.jboss.arquillian.core.spi.ManagerBuilder.create(ManagerBuilder.java:77)

        at org.jboss.arquillian.test.impl.EventTestRunnerAdaptor.<init>(EventTestRunnerAdaptor.java:55)

        ... 15 more

      Caused by: java.lang.reflect.InvocationTargetException

        at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)

        at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)

        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)

        at java.lang.reflect.Constructor.newInstance(Constructor.java:532)

        at org.jboss.arquillian.core.spi.SecurityActions.newInstance(SecurityActions.java:156)

        ... 19 more

      Caused by: java.lang.NoClassDefFoundError: org/jboss/arquillian/drone/spi/DroneInstanceEnhancer

        at org.jboss.arquillian.graphene.GrapheneExtension.register(GrapheneExtension.java:57)

        at org.jboss.arquillian.core.impl.loadable.LoadableExtensionLoader.load(LoadableExtensionLoader.java:78)

        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)

        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

        at java.lang.reflect.Method.invoke(Method.java:616)

        at org.jboss.arquillian.core.impl.ObserverImpl.invoke(ObserverImpl.java:94)

        at org.jboss.arquillian.core.impl.EventContextImpl.invokeObservers(EventContextImpl.java:99)

        at org.jboss.arquillian.core.impl.EventContextImpl.proceed(EventContextImpl.java:81)

        at org.jboss.arquillian.core.impl.ManagerImpl.fire(ManagerImpl.java:135)

        at org.jboss.arquillian.core.impl.ManagerImpl.fire(ManagerImpl.java:115)

        at org.jboss.arquillian.core.impl.ManagerImpl.fireProcessing(ManagerImpl.java:316)

        at org.jboss.arquillian.core.impl.ManagerImpl.<init>(ManagerImpl.java:98)

        ... 24 more

      Caused by: java.lang.ClassNotFoundException: org.jboss.arquillian.drone.spi.DroneInstanceEnhancer

        at java.net.URLClassLoader$1.run(URLClassLoader.java:217)

        at java.security.AccessController.doPrivileged(Native Method)

        at java.net.URLClassLoader.findClass(URLClassLoader.java:205)

        at java.lang.ClassLoader.loadClass(ClassLoader.java:321)

        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:294)

        at java.lang.ClassLoader.loadClass(ClassLoader.java:266)

        ... 37 more

       

      How can I get graphene and drone to work together?

        • 1. Re: drone and graphene error
          Lukáš Fryč Master

          Please, upgrade Drone to 1.2.0.Beta2. There were SPI changes between Beta1 and Beta2.

          • 2. Re: drone and graphene error
            kelly goedert Apprentice

            I did, but it didn't help. Running in eclipse, I get:

             

            java.lang.RuntimeException: Could not create new instance of class org.jboss.arquillian.test.impl.EventTestRunnerAdaptor

              at org.jboss.arquillian.test.spi.SecurityActions.newInstance(SecurityActions.java:160)

              at org.jboss.arquillian.test.spi.SecurityActions.newInstance(SecurityActions.java:111)

              at org.jboss.arquillian.test.spi.SecurityActions.newInstance(SecurityActions.java:97)

              at org.jboss.arquillian.test.spi.TestRunnerAdaptorBuilder.build(TestRunnerAdaptorBuilder.java:52)

              at org.jboss.arquillian.junit.Arquillian.run(Arquillian.java:93)

              at org.eclipse.jdt.internal.junit4.runner.JUnit4TestReference.run(JUnit4TestReference.java:50)

              at org.eclipse.jdt.internal.junit.runner.TestExecution.run(TestExecution.java:38)

              at org.eclipse.jdt.internal.junit.runner.RemoteTestRunner.runTests(RemoteTestRunner.java:467)

              at org.eclipse.jdt.internal.junit.runner.RemoteTestRunner.runTests(RemoteTestRunner.java:683)

              at org.eclipse.jdt.internal.junit.runner.RemoteTestRunner.run(RemoteTestRunner.java:390)

              at org.eclipse.jdt.internal.junit.runner.RemoteTestRunner.main(RemoteTestRunner.java:197)

            Caused by: java.lang.reflect.InvocationTargetException

              at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)

              at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)

              at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)

              at java.lang.reflect.Constructor.newInstance(Constructor.java:526)

              at org.jboss.arquillian.test.spi.SecurityActions.newInstance(SecurityActions.java:156)

              ... 10 more

            Caused by: java.lang.RuntimeException: Could not create new instance of class org.jboss.arquillian.core.impl.ManagerImpl

              at org.jboss.arquillian.core.spi.SecurityActions.newInstance(SecurityActions.java:160)

              at org.jboss.arquillian.core.spi.SecurityActions.newInstance(SecurityActions.java:111)

              at org.jboss.arquillian.core.spi.SecurityActions.newInstance(SecurityActions.java:97)

              at org.jboss.arquillian.core.spi.ManagerBuilder.create(ManagerBuilder.java:77)

              at org.jboss.arquillian.test.impl.EventTestRunnerAdaptor.<init>(EventTestRunnerAdaptor.java:55)

              ... 15 more

            Caused by: java.lang.reflect.InvocationTargetException

              at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)

              at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)

              at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)

              at java.lang.reflect.Constructor.newInstance(Constructor.java:526)

              at org.jboss.arquillian.core.spi.SecurityActions.newInstance(SecurityActions.java:156)

              ... 19 more

            Caused by: java.lang.NoClassDefFoundError: org/jboss/arquillian/drone/spi/DroneInstanceEnhancer

              at org.jboss.arquillian.graphene.GrapheneExtension.register(GrapheneExtension.java:57)

              at org.jboss.arquillian.core.impl.loadable.LoadableExtensionLoader.load(LoadableExtensionLoader.java:78)

              at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

              at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)

              at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

              at java.lang.reflect.Method.invoke(Method.java:606)

              at org.jboss.arquillian.core.impl.ObserverImpl.invoke(ObserverImpl.java:94)

              at org.jboss.arquillian.core.impl.EventContextImpl.invokeObservers(EventContextImpl.java:99)

              at org.jboss.arquillian.core.impl.EventContextImpl.proceed(EventContextImpl.java:81)

              at org.jboss.arquillian.core.impl.ManagerImpl.fire(ManagerImpl.java:135)

              at org.jboss.arquillian.core.impl.ManagerImpl.fire(ManagerImpl.java:115)

              at org.jboss.arquillian.core.impl.ManagerImpl.fireProcessing(ManagerImpl.java:316)

              at org.jboss.arquillian.core.impl.ManagerImpl.<init>(ManagerImpl.java:98)

              ... 24 more

            Caused by: java.lang.ClassNotFoundException: org.jboss.arquillian.drone.spi.DroneInstanceEnhancer

              at java.net.URLClassLoader$1.run(URLClassLoader.java:366)

              at java.net.URLClassLoader$1.run(URLClassLoader.java:355)

              at java.security.AccessController.doPrivileged(Native Method)

              at java.net.URLClassLoader.findClass(URLClassLoader.java:354)

              at java.lang.ClassLoader.loadClass(ClassLoader.java:424)

              at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:308)

              at java.lang.ClassLoader.loadClass(ClassLoader.java:357)

              ... 37 more

             

            and running with maven:

             

            [ERROR] Failed to execute goal org.apache.maven.plugins:maven-surefire-plugin:2.16:test (default-test) on project sample: Execution default-test of goal org.apache.maven.plugins:maven-surefire-plugin:2.16:test failed: java.lang.RuntimeException: null,null,null,null,null: source is null -> [Help 1]

            org.apache.maven.lifecycle.LifecycleExecutionException: Failed to execute goal org.apache.maven.plugins:maven-surefire-plugin:2.16:test (default-test) on project sample: Execution default-test of goal org.apache.maven.plugins:maven-surefire-plugin:2.16:test failed: java.lang.RuntimeException: null,null,null,null,null

              at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:225)

              at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:153)

              at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:145)

              at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:84)

              at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:59)

              at org.apache.maven.lifecycle.internal.LifecycleStarter.singleThreadedBuild(LifecycleStarter.java:183)

              at org.apache.maven.lifecycle.internal.LifecycleStarter.execute(LifecycleStarter.java:161)

              at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:320)

              at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:156)

              at org.apache.maven.cli.MavenCli.execute(MavenCli.java:537)

              at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:196)

              at org.apache.maven.cli.MavenCli.main(MavenCli.java:141)

              at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

              at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)

              at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

              at java.lang.reflect.Method.invoke(Method.java:606)

              at org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:290)

              at org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:230)

              at org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:409)

              at org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:352)

            Caused by: org.apache.maven.plugin.PluginExecutionException: Execution default-test of goal org.apache.maven.plugins:maven-surefire-plugin:2.16:test failed: java.lang.RuntimeException: null,null,null,null,null

              at org.apache.maven.plugin.DefaultBuildPluginManager.executeMojo(DefaultBuildPluginManager.java:110)

              at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:209)

              ... 19 more

            Caused by: java.lang.RuntimeException: java.lang.RuntimeException: null,null,null,null,null

              at org.apache.maven.plugin.surefire.booterclient.output.ThreadedStreamConsumer.close(ThreadedStreamConsumer.java:123)

              at org.apache.maven.plugin.surefire.booterclient.ForkStarter.fork(ForkStarter.java:463)

              at org.apache.maven.plugin.surefire.booterclient.ForkStarter.fork(ForkStarter.java:352)

              at org.apache.maven.plugin.surefire.booterclient.ForkStarter.run(ForkStarter.java:158)

              at org.apache.maven.plugin.surefire.AbstractSurefireMojo.executeProvider(AbstractSurefireMojo.java:958)

              at org.apache.maven.plugin.surefire.AbstractSurefireMojo.executeAfterPreconditionsChecked(AbstractSurefireMojo.java:822)

              at org.apache.maven.plugin.surefire.AbstractSurefireMojo.execute(AbstractSurefireMojo.java:720)

              at org.apache.maven.plugin.DefaultBuildPluginManager.executeMojo(DefaultBuildPluginManager.java:101)

              ... 20 more

            Caused by: java.lang.RuntimeException: null,null,null,null,null

              at org.apache.maven.plugin.surefire.booterclient.output.ForkClient.createReportEntry(ForkClient.java:210)

              at org.apache.maven.plugin.surefire.booterclient.output.ForkClient.consumeLine(ForkClient.java:105)

              at org.apache.maven.plugin.surefire.booterclient.output.ThreadedStreamConsumer$Pumper.run(ThreadedStreamConsumer.java:67)

              at java.lang.Thread.run(Thread.java:724)

            Caused by: java.lang.NullPointerException: source is null

              at org.apache.maven.surefire.report.SimpleReportEntry.<init>(SimpleReportEntry.java:58)

              at org.apache.maven.surefire.report.CategorizedReportEntry.reportEntry(CategorizedReportEntry.java:57)

              at org.apache.maven.plugin.surefire.booterclient.output.ForkClient.createReportEntry(ForkClient.java:206)

              ... 3 more

            • 3. Re: drone and graphene error
              b69 Newbie

              Try to add to your pom:

              <dependency>

                  <groupId>org.apache.xmlgraphics</groupId>

                  <artifactId>batik-ext</artifactId>

                  <version>1.7</version>

                  <scope>test</scope>

              </dependency>

              I use it for test only, hence scope test.

              It sounds weird, but it helped in my case. Good luck!

              • 4. Re: drone and graphene error
                kelly goedert Apprentice

                I didn't help in mine

                • 5. Re: drone and graphene error
                  Rafael Pestano Novice

                  Hi there, compare your pom.xml with this one:

                  Re: Help setup functional tests with Graphene 2.x

                   

                  maybe it helps.

                  • 6. Re: drone and graphene error
                    Karel Piwko Master

                    Hi Kelly,

                     

                    please follow this guide http://arquillian.org/guides/functional_testing_using_graphene/ and Drone - Arquillian - Project Documentation Editor in order setup dependencies. I see a lot of stuff that's not needed in both <dependencies> and <dependencyManagement> sections. Note, you likely want to use Drone 1.2.0.CR1 and Graphene 1.2.0.CR1 version, as those were released today.

                     

                    In short, you want to have:

                     

                    in <dependencyManagement> section (all BOMs are imported with scope "import" and type "pom"):

                    arquillian-bom

                    arquillian-drone-bom

                    [optionally] selenium-bom [if you want to use other version than 2.35.0 - the default set in Drone]

                     

                    in <dependencies> section (all depchains are imported with scope you want - likely "test", and type "pom" - in <dependencies> section never mention versions, they are managed by BOMs already)

                    graphene-webdriver - that only think you need for Graphene2, no -*selenium, impls, etc

                    [optionally] shrinkwrap-resolver-depchain - if you want to resolve jars, wars for Maven - see https://github.com/shrinkwrap/resolver/blob/master/README.asciidoc

                     

                    No other shrinkwrap-resolver-* and arquillian-drone* and arquillian-graphene* related artifacts are needed.

                     

                    Hope that helps,

                     

                    Karel

                    • 7. Re: drone and graphene error
                      Lukáš Fryč Master

                      Hey Kelly,

                       

                      the original exception you have mentioned is:

                      Caused by: java.lang.ClassNotFoundException: org.jboss.arquillian.drone.spi.DroneInstanceEnhancer.


                      That is Drone's class which Graphene fundamentally depends on and it's available since 1.2.0.Beta2:

                      https://repository.jboss.org/nexus/index.html#nexus-search;classname~DroneInstanceEnhancer


                      I'm not sure whether it solves issues you experience completely, but it's a right step to do.


                      If you get another stacktrace now, just pass it here.

                      • 8. Re: drone and graphene error
                        Lukáš Fryč Master

                        Btw if you will still get this issue, you can try playing with mvn dependency:tree or similar functionally e.g. in Eclipse's POM Editor,

                        because it would mean something else is managing the Drone/Graphene version.

                        • 9. Re: Re: drone and graphene error
                          kelly goedert Apprentice

                          Hi,

                           

                          I tried to remove dependencies as Karel suggested and now I have this pom.xml

                           

                          <properties>
                            <version.junit>4.11</version.junit>
                            <version.arquillian_core>1.1.1.Final</version.arquillian_core>
                            <version.logback>1.0.13</version.logback>
                            <version.shrinkwrap.resolvers>2.1.0-alpha-1</version.shrinkwrap.resolvers>
                            <version.jacoco>0.6.0.201210061924</version.jacoco>
                            <version.wro4j>1.7.0</version.wro4j>
                            <version.source>1.7</version.source>
                            <version.jboss.bom>1.0.7.Final</version.jboss.bom>
                            <version.graphene>2.0.0.CR1</version.graphene>
                            </properties>
                            <dependencyManagement>
                            <dependencies>
                            <dependency>
                            <groupId>org.jboss.bom</groupId>
                            <artifactId>jboss-javaee-6.0-with-all</artifactId>
                            <version>${version.jboss.bom}</version>
                            <type>pom</type>
                            <scope>import</scope>
                            </dependency>
                            <dependency>
                            <groupId>org.hibernate</groupId>
                            <artifactId>hibernate-entitymanager</artifactId>
                            <version>4.3.0.Beta3</version>
                            <scope>provided</scope>
                            </dependency>
                            <dependency>
                            <groupId>org.jboss.arquillian</groupId>
                            <artifactId>arquillian-bom</artifactId>
                            <version>${version.arquillian_core}</version>
                            <type>pom</type>
                            <scope>import</scope>
                            </dependency>
                            </dependencies>
                            </dependencyManagement>
                          <dependency>
                            <groupId>org.jboss.arquillian.protocol</groupId>
                            <artifactId>arquillian-protocol-servlet</artifactId>
                            <scope>test</scope>
                            </dependency>
                            <dependency>
                            <groupId>org.jboss.arquillian.junit</groupId>
                            <artifactId>arquillian-junit-container</artifactId>
                            <scope>test</scope>
                            </dependency>
                            <dependency>
                            <groupId>org.jboss.arquillian.extension</groupId>
                            <artifactId>arquillian-jacoco</artifactId>
                            <version>1.0.0.Alpha5</version>
                            <scope>test</scope>
                            </dependency>
                            <dependency>
                            <groupId>org.jboss.arquillian.extension</groupId>
                            <artifactId>arquillian-persistence-impl</artifactId>
                            <version>1.0.0.Alpha6</version>
                            <scope>test</scope>
                            </dependency>
                            <dependency>
                            <groupId>org.jboss.arquillian.graphene</groupId>
                            <artifactId>graphene-webdriver</artifactId>
                            <version>${version.graphene}</version>
                            <type>pom</type>
                            <scope>test</scope>
                            </dependency>
                            <dependency>
                            <groupId>org.jboss.shrinkwrap.resolver</groupId>
                            <artifactId>shrinkwrap-resolver-depchain</artifactId>
                            <scope>test</scope>
                            <type>pom</type>
                            </dependency>
                          

                           

                          and this dependency tree shows up on maven:

                           

                          --- maven-dependency-plugin:2.1:tree (default-cli) @ sample ---

                          [INFO] sample:sample:war:0.0.1-SNAPSHOT

                          [INFO] +- org.hibernate.javax.persistence:hibernate-jpa-2.0-api:jar:1.0.1.Final:provided (scope not updated to compile)

                          [INFO] +- org.jboss.spec.javax.ejb:jboss-ejb-api_3.1_spec:jar:1.0.2.Final:provided

                          [INFO] +- javax.enterprise:cdi-api:jar:1.0-SP4:provided

                          [INFO] |  +- org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.1_spec:jar:1.0.1.Final:provided (version managed from 1.0.0.Beta1)

                          [INFO] |  \- javax.inject:javax.inject:jar:1:provided

                          [INFO] +- javax.validation:validation-api:jar:1.0.0.GA:compile

                          [INFO] +- org.jboss.spec.javax.annotation:jboss-annotations-api_1.1_spec:jar:1.0.1.Final:provided

                          [INFO] +- org.jboss.spec.javax.servlet:jboss-servlet-api_3.0_spec:jar:1.0.2.Final:provided

                          [INFO] +- org.jboss.spec.javax.faces:jboss-jsf-api_2.1_spec:jar:2.0.9.Final:provided

                          [INFO] +- org.jboss.spec.javax.el:jboss-el-api_2.2_spec:jar:1.0.2.Final:compile

                          [INFO] +- org.hibernate:hibernate-entitymanager:jar:4.3.0.Beta3:provided

                          [INFO] |  +- org.hibernate.javax.persistence:hibernate-jpa-2.1-api:jar:1.0.0.Draft-16:provided

                          [INFO] |  \- org.jboss.spec.javax.transaction:jboss-transaction-api_1.2_spec:jar:1.0.0.Alpha1:provided

                          [INFO] +- junit:junit:jar:4.11:test

                          [INFO] |  \- org.hamcrest:hamcrest-core:jar:1.3:test

                          [INFO] +- org.primefaces:primefaces:jar:3.5:compile

                          [INFO] +- mysql:mysql-connector-java:jar:5.1.25:provided

                          [INFO] +- oracle:ojdbc6:jar:11.2.0.3.0:provided

                          [INFO] +- joda-time:joda-time:jar:2.3:compile

                          [INFO] +- org.jadira.usertype:usertype.core:jar:3.1.0.CR8:compile

                          [INFO] |  +- org.slf4j:slf4j-api:jar:1.6.4:compile (version managed from 1.7.5)

                          [INFO] |  \- org.jadira.usertype:usertype.spi:jar:3.1.0.CR8:compile

                          [INFO] +- org.hibernate:hibernate-validator:jar:4.2.0.Final:provided

                          [INFO] +- com.google.guava:guava:jar:13.0.1:compile

                          [INFO] +- commons-codec:commons-codec:jar:1.8:compile

                          [INFO] +- org.omnifaces:omnifaces:jar:1.6:compile

                          [INFO] +- ch.qos.logback:logback-core:jar:1.0.13:compile

                          [INFO] +- ch.qos.logback:logback-classic:jar:1.0.13:compile

                          [INFO] +- org.mockito:mockito-all:jar:1.9.5:test

                          [INFO] +- org.jboss.arquillian.protocol:arquillian-protocol-servlet:jar:1.1.0.Final:test

                          [INFO] |  +- org.jboss.arquillian.container:arquillian-container-spi:jar:1.1.0.Final:test

                          [INFO] |  |  +- org.jboss.arquillian.core:arquillian-core-spi:jar:1.1.0.Final:test

                          [INFO] |  |  +- org.jboss.arquillian.config:arquillian-config-api:jar:1.1.0.Final:test

                          [INFO] |  |  \- org.jboss.arquillian.config:arquillian-config-impl-base:jar:1.1.0.Final:test

                          [INFO] |  +- org.jboss.arquillian.container:arquillian-container-test-api:jar:1.1.0.Final:test

                          [INFO] |  +- org.jboss.arquillian.container:arquillian-container-test-spi:jar:1.1.0.Final:test

                          [INFO] |  \- org.jboss.shrinkwrap.descriptors:shrinkwrap-descriptors-spi:jar:2.0.0-alpha-3:test

                          [INFO] +- org.jboss.arquillian.junit:arquillian-junit-container:jar:1.1.0.Final:test

                          [INFO] |  +- org.jboss.arquillian.junit:arquillian-junit-core:jar:1.1.0.Final:test

                          [INFO] |  +- org.jboss.arquillian.test:arquillian-test-api:jar:1.1.0.Final:test

                          [INFO] |  |  \- org.jboss.arquillian.core:arquillian-core-api:jar:1.1.0.Final:test

                          [INFO] |  +- org.jboss.arquillian.test:arquillian-test-spi:jar:1.1.0.Final:test

                          [INFO] |  +- org.jboss.arquillian.core:arquillian-core-impl-base:jar:1.1.0.Final:test

                          [INFO] |  +- org.jboss.arquillian.test:arquillian-test-impl-base:jar:1.1.0.Final:test

                          [INFO] |  +- org.jboss.arquillian.container:arquillian-container-impl-base:jar:1.1.0.Final:test

                          [INFO] |  +- org.jboss.arquillian.container:arquillian-container-test-impl-base:jar:1.1.0.Final:test

                          [INFO] |  \- org.jboss.shrinkwrap:shrinkwrap-impl-base:jar:1.1.2:test

                          [INFO] |     \- org.jboss.shrinkwrap:shrinkwrap-spi:jar:1.1.2:test

                          [INFO] +- org.jboss.arquillian.extension:arquillian-jacoco:jar:1.0.0.Alpha5:test

                          [INFO] |  +- org.jboss.shrinkwrap:shrinkwrap-api:jar:1.1.2:test

                          [INFO] |  \- org.jboss.shrinkwrap.descriptors:shrinkwrap-descriptors-api-base:jar:2.0.0-alpha-3:test

                          [INFO] +- org.jboss.arquillian.extension:arquillian-persistence-impl:jar:1.0.0.Alpha6:test

                          [INFO] |  +- org.jboss.arquillian.extension:arquillian-persistence-api:jar:1.0.0.Alpha6:test

                          [INFO] |  +- org.jboss.arquillian.extension:arquillian-transaction-spi:jar:1.0.0.Alpha3:test

                          [INFO] |  |  \- org.jboss.arquillian.extension:arquillian-transaction-api:jar:1.0.0.Alpha3:test

                          [INFO] |  +- org.jboss.arquillian.extension:arquillian-transaction-jta:jar:1.0.0.Alpha3:test

                          [INFO] |  |  \- org.jboss.arquillian.extension:arquillian-transaction-impl-base:jar:1.0.0.Alpha3:test

                          [INFO] |  +- org.yaml:snakeyaml:jar:1.10:test

                          [INFO] |  +- org.codehaus.jackson:jackson-mapper-asl:jar:1.9.9:test (version managed from 1.9.2)

                          [INFO] |  |  \- org.codehaus.jackson:jackson-core-asl:jar:1.9.9:test

                          [INFO] |  \- org.apache.poi:poi:jar:3.2-FINAL:test

                          [INFO] |     +- commons-logging:commons-logging:jar:1.1:test

                          [INFO] |     \- log4j:log4j:jar:1.2.16:test

                          [INFO] +- org.jboss.arquillian.graphene:graphene-webdriver:pom:2.0.0.CR1:test

                          [INFO] |  +- org.jboss.arquillian.graphene:graphene-webdriver-api:jar:2.0.0.CR1:test

                          [INFO] |  +- org.jboss.arquillian.graphene:graphene-webdriver-spi:jar:2.0.0.CR1:test

                          [INFO] |  +- org.jboss.arquillian.graphene:graphene-webdriver-impl:jar:2.0.0.CR1:test

                          [INFO] |  |  +- org.jboss.arquillian.extension:arquillian-drone-impl:jar:1.1.1.Final:test (version managed from 1.2.0.Beta2)

                          [INFO] |  |  \- org.jboss.arquillian.extension:arquillian-drone-configuration:jar:1.1.1.Final:test

                          [INFO] |  +- org.jboss.arquillian.extension:arquillian-drone-webdriver-depchain:pom:1.1.1.Final:test (version managed from 1.2.0.Beta2)

                          [INFO] |  |  +- org.jboss.arquillian.extension:arquillian-drone-api:jar:1.1.1.Final:test

                          [INFO] |  |  +- org.jboss.arquillian.extension:arquillian-drone-spi:jar:1.1.1.Final:test

                          [INFO] |  |  +- org.jboss.arquillian.extension:arquillian-drone-webdriver:jar:1.1.1.Final:test

                          [INFO] |  |  +- org.seleniumhq.selenium:selenium-api:jar:2.29.0:test

                          [INFO] |  |  |  \- org.json:json:jar:20080701:test

                          [INFO] |  |  +- org.seleniumhq.selenium:selenium-support:jar:2.29.0:test

                          [INFO] |  |  +- org.seleniumhq.selenium:selenium-android-driver:jar:2.29.0:test

                          [INFO] |  |  +- org.seleniumhq.selenium:selenium-chrome-driver:jar:2.29.0:test

                          [INFO] |  |  +- org.seleniumhq.selenium:selenium-firefox-driver:jar:2.29.0:test

                          [INFO] |  |  |  +- commons-io:commons-io:jar:2.2:test

                          [INFO] |  |  |  \- org.apache.commons:commons-exec:jar:1.1:test

                          [INFO] |  |  +- org.seleniumhq.selenium:selenium-htmlunit-driver:jar:2.29.0:test

                          [INFO] |  |  |  +- net.sourceforge.htmlunit:htmlunit:jar:2.11:test

                          [INFO] |  |  |  |  +- xalan:xalan:jar:2.7.1:test

                          [INFO] |  |  |  |  |  \- xalan:serializer:jar:2.7.1:test

                          [INFO] |  |  |  |  +- org.apache.commons:commons-lang3:jar:3.1:test

                          [INFO] |  |  |  |  +- org.apache.httpcomponents:httpmime:jar:4.2.2:test

                          [INFO] |  |  |  |  +- net.sourceforge.htmlunit:htmlunit-core-js:jar:2.11:test

                          [INFO] |  |  |  |  +- xerces:xercesImpl:jar:2.10.0:test

                          [INFO] |  |  |  |  +- net.sourceforge.nekohtml:nekohtml:jar:1.9.17:test

                          [INFO] |  |  |  |  +- net.sourceforge.cssparser:cssparser:jar:0.9.5:test (version managed from 0.9.8)

                          [INFO] |  |  |  |  |  \- org.w3c.css:sac:jar:1.3:test

                          [INFO] |  |  |  |  \- org.eclipse.jetty:jetty-websocket:jar:8.1.7.v20120910:test

                          [INFO] |  |  |  |     +- org.eclipse.jetty:jetty-util:jar:8.1.7.v20120910:test

                          [INFO] |  |  |  |     +- org.eclipse.jetty:jetty-io:jar:8.1.7.v20120910:test

                          [INFO] |  |  |  |     \- org.eclipse.jetty:jetty-http:jar:8.1.7.v20120910:test

                          [INFO] |  |  |  \- org.apache.httpcomponents:httpclient:jar:4.1.2:test

                          [INFO] |  |  |     \- org.apache.httpcomponents:httpcore:jar:4.1.2:test

                          [INFO] |  |  +- org.seleniumhq.selenium:selenium-ie-driver:jar:2.29.0:test

                          [INFO] |  |  |  +- net.java.dev.jna:jna:jar:3.4.0:test

                          [INFO] |  |  |  \- net.java.dev.jna:platform:jar:3.4.0:test

                          [INFO] |  |  +- org.seleniumhq.selenium:selenium-iphone-driver:jar:2.29.0:test

                          [INFO] |  |  +- org.seleniumhq.selenium:selenium-remote-driver:jar:2.29.0:test

                          [INFO] |  |  |  \- cglib:cglib-nodep:jar:2.1_3:test

                          [INFO] |  |  \- com.opera:operadriver:jar:1.1:test

                          [INFO] |  |     +- com.opera:operalaunchers:jar:1.1:test

                          [INFO] |  |     +- com.google.protobuf:protobuf-java:jar:2.4.1:test

                          [INFO] |  |     +- commons-jxpath:commons-jxpath:jar:1.3:test

                          [INFO] |  |     \- org.ini4j:ini4j:jar:0.5.2:test

                          [INFO] |  \- org.seleniumhq.selenium:selenium-java:jar:2.29.0:test

                          [INFO] |     +- org.seleniumhq.selenium:selenium-safari-driver:jar:2.29.0:test

                          [INFO] |     \- org.webbitserver:webbit:jar:0.4.14:test

                          [INFO] |        \- io.netty:netty:jar:3.5.2.Final:test

                          [INFO] +- org.jboss.shrinkwrap.resolver:shrinkwrap-resolver-depchain:pom:2.1.0-alpha-1:test

                          [INFO] |  +- org.jboss.shrinkwrap.resolver:shrinkwrap-resolver-api:jar:2.0.0:test (version managed from 2.1.0-alpha-1)

                          [INFO] |  +- org.jboss.shrinkwrap.resolver:shrinkwrap-resolver-spi:jar:2.0.0:test (version managed from 2.1.0-alpha-1)

                          [INFO] |  +- org.jboss.shrinkwrap.resolver:shrinkwrap-resolver-api-maven:jar:2.0.0:test (version managed from 2.1.0-alpha-1)

                          [INFO] |  +- org.jboss.shrinkwrap.resolver:shrinkwrap-resolver-spi-maven:jar:2.0.0:test (version managed from 2.1.0-alpha-1)

                          [INFO] |  +- org.jboss.shrinkwrap.resolver:shrinkwrap-resolver-impl-maven:jar:2.0.0:test (version managed from 2.1.0-alpha-1)

                          [INFO] |  |  +- org.sonatype.aether:aether-api:jar:1.13.1:test

                          [INFO] |  |  +- org.sonatype.aether:aether-impl:jar:1.13.1:test

                          [INFO] |  |  +- org.sonatype.aether:aether-spi:jar:1.13.1:test

                          [INFO] |  |  +- org.sonatype.aether:aether-util:jar:1.13.1:test

                          [INFO] |  |  +- org.sonatype.aether:aether-connector-wagon:jar:1.13.1:test

                          [INFO] |  |  +- org.apache.maven:maven-aether-provider:jar:3.0.5:test

                          [INFO] |  |  +- org.apache.maven:maven-model:jar:3.0.5:test

                          [INFO] |  |  +- org.apache.maven:maven-model-builder:jar:3.0.5:test

                          [INFO] |  |  +- org.apache.maven:maven-repository-metadata:jar:3.0.5:test

                          [INFO] |  |  +- org.apache.maven:maven-settings:jar:3.0.5:test

                          [INFO] |  |  +- org.apache.maven:maven-settings-builder:jar:3.0.5:test

                          [INFO] |  |  +- org.codehaus.plexus:plexus-interpolation:jar:1.14:test

                          [INFO] |  |  +- org.codehaus.plexus:plexus-utils:jar:2.0.6:test

                          [INFO] |  |  +- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:test

                          [INFO] |  |  |  \- org.sonatype.plexus:plexus-cipher:jar:1.4:test

                          [INFO] |  |  +- org.apache.maven.wagon:wagon-provider-api:jar:2.4:test

                          [INFO] |  |  +- org.apache.maven.wagon:wagon-file:jar:2.4:test

                          [INFO] |  |  \- org.apache.maven.wagon:wagon-http-lightweight:jar:2.4:test

                          [INFO] |  |     \- org.apache.maven.wagon:wagon-http-shared4:jar:2.4:test

                          [INFO] |  |        \- org.jsoup:jsoup:jar:1.7.1:test

                          [INFO] |  \- org.jboss.shrinkwrap.resolver:shrinkwrap-resolver-impl-maven-archive:jar:2.0.0:test (version managed from 2.1.0-alpha-1)

                          [INFO] |     +- org.jboss.shrinkwrap.resolver:shrinkwrap-resolver-api-maven-archive:jar:2.0.0:test

                          [INFO] |     +- org.jboss.shrinkwrap.resolver:shrinkwrap-resolver-spi-maven-archive:jar:2.0.0:test

                          [INFO] |     +- org.codehaus.plexus:plexus-compiler-javac:jar:2.1:test

                          [INFO] |     |  \- org.codehaus.plexus:plexus-compiler-api:jar:2.1:test

                          [INFO] |     \- org.codehaus.plexus:plexus-component-api:jar:1.0-alpha-33:test

                          [INFO] |        \- org.codehaus.plexus:plexus-classworlds:jar:1.2-alpha-10:test

                          [INFO] +- org.hamcrest:hamcrest-all:jar:1.3:test

                          [INFO] +- org.dbunit:dbunit:jar:2.4.9:test

                          [INFO] |  \- commons-collections:commons-collections:jar:3.2.1:test

                          [INFO] +- com.googlecode.flyway:flyway-core:jar:2.2:test

                          [INFO] +- org.picketlink:picketlink-api:jar:2.5.0.Final:compile

                          [INFO] |  \- org.picketlink:picketlink-idm-api:jar:2.5.0.Final:compile

                          [INFO] |     \- org.picketlink:picketlink-common:jar:2.5.0.Final:compile

                          [INFO] +- org.picketlink:picketlink-impl:jar:2.5.0.Final:runtime

                          [INFO] |  \- org.picketlink:picketlink-idm-impl:jar:2.5.0.Final:runtime

                          [INFO] +- org.apache.deltaspike.core:deltaspike-core-api:jar:0.4:compile

                          [INFO] +- org.apache.deltaspike.core:deltaspike-core-impl:jar:0.4:runtime

                          [INFO] \- org.hibernate:hibernate-envers:jar:4.2.0.Final:compile

                          [INFO]    +- org.jboss.logging:jboss-logging:jar:3.1.0.GA:compile

                          [INFO]    \- org.hibernate:hibernate-core:jar:4.2.0.Final:compile

                          [INFO]       +- antlr:antlr:jar:2.7.7:compile

                          [INFO]       +- org.jboss.spec.javax.transaction:jboss-transaction-api_1.1_spec:jar:1.0.1.Final:compile (version managed from 1.0.0.Final)

                          [INFO]       +- dom4j:dom4j:jar:1.6.1:compile

                          [INFO]       +- org.javassist:javassist:jar:3.15.0-GA:compile

                          [INFO]       \- org.hibernate.common:hibernate-commons-annotations:jar:4.0.2.Final:compile

                           

                          But the error message is still the same.

                          • 10. Re: drone and graphene error
                            Juraj Húska Master

                            You are missing

                             

                            <dependency>
                              
                            <groupId>org.jboss.arquillian.extension</groupId>
                              
                            <artifactId>arquillian-drone-bom</artifactId>
                              
                            <version>1.2.0.CR1</version>
                              
                            <type>pom</type>
                              
                            <scope>import</scope>
                            </dependency>

                             

                            in you dependency-management section.

                             

                            Follow this guide to set-up Graphene:

                            http://arquillian.org/guides/functional_testing_using_graphene/

                             

                            You should see in the dependency:tree, drone with 1.2.0.CR1, not with 1.1.1.Final.


                            Did that resolved your issue ?

                            • 11. Re: Re: drone and graphene error
                              kelly goedert Apprentice

                              Hi

                               

                              No, it did not. I read the guide you suggested. Added the bom. In the dependency tree I still see 1.1.1Final

                               

                              org.jboss.arquillian.graphene:graphene-webdriver:pom:2.0.0.CR1:test

                              [INFO] |  +- org.jboss.arquillian.graphene:graphene-webdriver-api:jar:2.0.0.CR1:test

                              [INFO] |  +- org.jboss.arquillian.graphene:graphene-webdriver-spi:jar:2.0.0.CR1:test

                              [INFO] |  |  \- org.jboss.arquillian.core:arquillian-core-spi:jar:1.1.0.Final:test (version managed from 1.1.1.Final)

                              [INFO] |  +- org.jboss.arquillian.graphene:graphene-webdriver-impl:jar:2.0.0.CR1:test

                              [INFO] |  |  +- org.jboss.arquillian.extension:arquillian-drone-impl:jar:1.1.1.Final:test (version managed from 1.2.0.Beta2)

                              [INFO] |  |  +- org.jboss.arquillian.extension:arquillian-drone-configuration:jar:1.1.1.Final:test

                              [INFO] |  |  \- org.jboss.arquillian.config:arquillian-config-api:jar:1.1.0.Final:test

                              [INFO] |  +- org.jboss.arquillian.extension:arquillian-drone-webdriver-depchain:pom:1.1.1.Final:test (version managed from 1.2.0.Beta2)

                              [INFO] |  |  +- org.jboss.arquillian.extension:arquillian-drone-api:jar:1.1.1.Final:test

                              [INFO] |  |  +- org.jboss.arquillian.extension:arquillian-drone-spi:jar:1.1.1.Final:test

                              [INFO] |  |  +- org.jboss.arquillian.extension:arquillian-drone-webdriver:jar:1.1.1.Final:test

                              [INFO] |  |  +- org.seleniumhq.selenium:selenium-api:jar:2.29.0:test

                              [INFO] |  |  |  \- org.json:json:jar:20080701:test

                              [INFO] |  |  +- org.seleniumhq.selenium:selenium-support:jar:2.29.0:test

                              [INFO] |  |  +- org.seleniumhq.selenium:selenium-android-driver:jar:2.29.0:test

                              [INFO] |  |  +- org.seleniumhq.selenium:selenium-chrome-driver:jar:2.29.0:test

                              [INFO] |  |  +- org.seleniumhq.selenium:selenium-firefox-driver:jar:2.29.0:test

                               

                              The pom is now like this

                              <properties>
                                <version.junit>4.11</version.junit>
                                <version.arquillian_core>1.1.1.Final</version.arquillian_core>
                                <version.logback>1.0.13</version.logback>
                                <version.shrinkwrap.resolvers>2.1.0-alpha-1</version.shrinkwrap.resolvers>
                                <version.jacoco>0.6.0.201210061924</version.jacoco>
                                <version.wro4j>1.7.0</version.wro4j>
                                <version.source>1.7</version.source>
                                <version.jboss.bom>1.0.7.Final</version.jboss.bom>
                                <version.graphene>2.0.0.CR1</version.graphene>
                                </properties>
                                <dependencyManagement>
                                <dependencies>
                                <dependency>
                                <groupId>org.jboss.bom</groupId>
                                <artifactId>jboss-javaee-6.0-with-all</artifactId>
                                <version>${version.jboss.bom}</version>
                                <type>pom</type>
                                <scope>import</scope>
                                </dependency>
                                <dependency>
                                <groupId>org.hibernate</groupId>
                                <artifactId>hibernate-entitymanager</artifactId>
                                <version>4.3.0.Beta3</version>
                                <scope>provided</scope>
                                </dependency>
                                <dependency>
                                <groupId>org.jboss.arquillian.extension</groupId>
                                <artifactId>arquillian-drone-bom</artifactId>
                                <version>1.2.0.CR1</version>
                                <type>pom</type>
                                <scope>import</scope>
                                </dependency>
                                <dependency>
                                <groupId>org.jboss.arquillian</groupId>
                                <artifactId>arquillian-bom</artifactId>
                                <version>${version.arquillian_core}</version>
                                <type>pom</type>
                                <scope>import</scope>
                                </dependency>
                              
                                </dependencies>
                                </dependencyManagement>
                              
                              <dependency>
                                <groupId>org.jboss.arquillian.graphene</groupId>
                                <artifactId>graphene-webdriver</artifactId>
                                <version>${version.graphene}</version>
                                <type>pom</type>
                                <scope>test</scope>
                                </dependency>
                                <dependency>
                                <groupId>org.jboss.arquillian.protocol</groupId>
                                <artifactId>arquillian-protocol-servlet</artifactId>
                                <scope>test</scope>
                                </dependency>
                                <dependency>
                                <groupId>org.jboss.arquillian.junit</groupId>
                                <artifactId>arquillian-junit-container</artifactId>
                                <scope>test</scope>
                                </dependency>
                                <dependency>
                                <groupId>org.jboss.arquillian.extension</groupId>
                                <artifactId>arquillian-jacoco</artifactId>
                                <version>1.0.0.Alpha5</version>
                                <scope>test</scope>
                                </dependency>
                                <dependency>
                                <groupId>org.jboss.arquillian.extension</groupId>
                                <artifactId>arquillian-persistence-impl</artifactId>
                                <version>1.0.0.Alpha6</version>
                                <scope>test</scope>
                                </dependency>
                                <dependency>
                                <groupId>org.jboss.shrinkwrap.resolver</groupId>
                                <artifactId>shrinkwrap-resolver-depchain</artifactId>
                                <scope>test</scope>
                                <type>pom</type>
                                </dependency>
                              

                              In my arquillian profile I have:

                               

                              <dependencies>
                                <dependency>
                                <groupId>org.jboss.as</groupId>
                                <artifactId>jboss-as-arquillian-container-remote</artifactId>
                                <version>7.1.1.Final</version>
                                </dependency>
                                <dependency>
                                <groupId>org.jboss</groupId>
                                <artifactId>jboss-common-core</artifactId>
                                <version>2.2.17.GA</version>
                                </dependency>
                                <dependency>
                                <groupId>org.jboss.as</groupId>
                                <artifactId>jboss-as-domain-management</artifactId>
                                <version>7.1.1.Final</version>
                                </dependency>
                                <dependency>
                                <groupId>org.jboss.as</groupId>
                                <artifactId>jboss-as-network</artifactId>
                                <version>7.1.1.Final</version>
                                </dependency>
                                <dependency>
                                <groupId>org.jboss.as</groupId>
                                <artifactId>jboss-as-threads</artifactId>
                                <version>7.1.1.Final</version>
                                </dependency>
                                </dependencies>
                              
                              • 12. Re: Re: drone and graphene error
                                Juraj Húska Master

                                Well I guess that the Drone version is overridden by jboss-javaee-6.0-with-all, which is bringing transitively jboss-javaee-6.0-with-tools, and that finally set drone version.

                                 

                                IMHO you can either:

                                • change jboss-javaee-6.0-with-all for something which does not include jboss-javaee-6.0-with-tools
                                • or exclude jboss-javaee-6.0-with-tools dependency
                                • or move the jboss-javaee-6.0-with-all to the end of the dependency-management section

                                 

                                Not sure which one should work for 100%

                                 

                                Did one of them work ?

                                1 of 1 people found this helpful
                                • 13. Re: Re: drone and graphene error
                                  kelly goedert Apprentice

                                  Hi,

                                   

                                  I was able to make progress changing the dependencies order in dependency management as suggested, but I had to add the batik dependency as suggested in another answer previously. Now, when I run the tests I get:

                                   

                                  java.lang.IllegalStateException: No configurator was found for object of type com.thoughtworks.selenium.DefaultSelenium.

                                  Make sure you have Drone extension depchain for the given browser on the classpath, that is org.jboss.arquillian.extension:arquillian-drone-webdriver-depchain:pom for WebDriver browsers, org.jboss.arquillian.extension:arquillian-drone-selenium-depchain:pom for Selenium 1 browsers and org.jboss.arquillian.graphene:graphene-webdriver:pom for Graphene2 browsers. If you are using different browser extension, please make sure it is on classpath.

                                  Currently registered configurators are: org.openqa.selenium.chrome.ChromeDriver

                                   

                                  But I have the graphene dependency as suggested on the error message.

                                  <dependency>

                                    <groupId>org.jboss.arquillian.graphene</groupId>

                                    <artifactId>graphene-webdriver</artifactId>

                                    <version>${version.graphene}</version>

                                    <type>pom</type>

                                    <scope>test</scope>

                                    </dependency>

                                   

                                  And in my arquillian.xml I have

                                  <extension qualifier="webdriver">

                                    <property name="browser">chrome</property>

                                    </extension>

                                   

                                  I also tried phantomjs but it didn't help

                                  • 14. Re: drone and graphene error
                                    Karel Piwko Master

                                    Juraj is correct. All methods should work, a small improvement to first proposal: You can actually remove jboss-javaee-6.0 BOM altogether. It does not look like you want somebody to manage Java EE 6 dependencies for you, because you're not using any of those.

                                    1 2 Previous Next